Functions
Functions
BLE Services » Device Information Service (DIS) | BLE Services » Device Synchronize Service (DSS)

## Functions
sdk_err_t | dis_service_init (dis_init_t *p_dis_init)
| Initialize a Device Information Service instance and add in the database. More...
sdk_err_t | dss_service_init (dss_evt_handler_t evt_handler)
| Initialize a Device Synchronize Service instance and add in the database. More...
sdk_err_t | dss_sync_op_result_send (uint8_t conn_idx, dss_evt_type_t evt_type, dss_rsp_id_t rsp_id)
| Send Control Point Response. More...
void | dss_sync_src_distribute (uint8_t conn_idx)
| Distribute sync source to peer. More...
void | dss_set_status (uint8_t conn_idx, dss_staus_t status)
| Set dss status. More...
void | dss_set_sync_params (uint8_t conn_idx, bool is_auto_enter_lp, bool is_auto_calib_drift)
| Set Sync params. More...
void | dss_set_lp_mode (uint8_t conn_idx, bool is_in_lp_mode)
| Set Device whether in low power mode. More...

## Detailed Description

## Function Documentation

## ◆ dis_service_init()

sdk_err_t dis_service_init | ( | dis_init_t * | p_dis_init | ) |

Initialize a Device Information Service instance and add in the database.

Parameters

  [in] | p_dis_init | Pointer to Device Information Service initialization variable.

Returns
  Result of service initialization.

## ◆ dss_service_init()

sdk_err_t dss_service_init | ( | dss_evt_handler_t | evt_handler | ) |

Initialize a Device Synchronize Service instance and add in the database.

Parameters

  [in] | evt_handler | DSS event handler.

Returns
  Result of service initialization.

## ◆ dss_set_lp_mode()

void dss_set_lp_mode | ( | uint8_t | conn_idx,
|  | bool | is_in_lp_mode
| ) |  |

Set Device whether in low power mode.

Parameters

  [in] | conn_idx | Connection index.
  [in] | is_in_lp_mode | Is Device in low power mode.

## ◆ dss_set_status()

void dss_set_status | ( | uint8_t | conn_idx,
|  | dss_staus_t | status
| ) |  |

Set dss status.

Parameters

  [in] | conn_idx | Connection index.
  [in] | status | Dss status.

## ◆ dss_set_sync_params()

void dss_set_sync_params | ( | uint8_t | conn_idx,
|  | bool | is_auto_enter_lp,
|  | bool | is_auto_calib_drift
| ) |  |

Set Sync params.

Parameters

  [in] | conn_idx | Connection index.
  [in] | is_auto_enter_lp | Auto enter low power mode flag.
  [in] | is_auto_calib_drift | Auto calibration drift flag.

## ◆ dss_sync_op_result_send()

sdk_err_t dss_sync_op_result_send | ( | uint8_t | conn_idx,
|  | dss_evt_type_t | evt_type,
|  | dss_rsp_id_t | rsp_id
| ) |  |

Send Control Point Response.

Parameters

  [in] | conn_idx | Connection index.
  [in] | evt_type | Event type.
  [in] | rsp_id | Response ID.

Returns
  Result of send.

## ◆ dss_sync_src_distribute()

void dss_sync_src_distribute | ( | uint8_t | conn_idx | ) |

Distribute sync source to peer.

Parameters

  [in] | conn_idx | Connection index.